import 'rxjs/add/operator/map';
import { Observable } from 'rxjs/Observable';
import { ReduxRootState } from './module/root/state';
import { ReduxStateProviderConstructor } from './state/provider.constructor';
export declare class ReduxSelector<T> extends Observable<T> {
    private static readonly DELIMITER;
    constructor(selector?: string, stateProvider?: ReduxStateProviderConstructor);
    static create<T>(selector: string, stateProvider?: ReduxStateProviderConstructor): ReduxSelector<T>;
    static getAbsoluteSelector(selector: string, stateProvider?: ReduxStateProviderConstructor): string;
    static getValueByState<S>(state: ReduxRootState<S>, selector: string, stateProvider?: ReduxStateProviderConstructor): S;
}
